mintupdate (5.9.3) vera; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Dec 2022 13:10:39 +0000

mintupdate (5.9.2) vera; urgency=medium

  [ Michael Webster ]
  * Make sure to always use the proper flatpak symbolic icon.

  [ Tibladar ]
  * Add size support for Flatpak and Spices (#775)

  [ Michael Webster ]
  * Show flatpak updates in the update history.
  * flatpaks: Fix missing argument for specifying a remote.
  * Give refresh, install and flatpak threads names.
  * flatpaks: Use the existing cache, only rebuild it during a full refresh (background or user-initiated) or if it doesn't exist.
  * Bump mint-common version.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 15 Dec 2022 12:55:30 +0000

mintupdate (5.9.1) vera; urgency=medium

  [ Michael Webster ]
  * Let the flatpak updater specify a remote when looking for package information.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:21:35 +0000

mintupdate (5.9.0) vera; urgency=medium

  [ Michael Webster ]
  * Selective flatpak updates. (#703)

  [ Clement Lefebvre ]
  * Depend on mint-common 2.2.0
  * Packaging: Remove obsolete conflicts/replaces

  [ Michael Webster ]
  * flatpak automatic updates: bypass system/user prompt if a user installation exists.
  * Fix description tab contents for flatpaks, add a default summary for runtimes.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Nov 2022 16:26:46 +0000

mintupdate (5.8.9) vanessa; urgency=medium

  * Adapt to new PPA url

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Sep 2022 13:59:17 +0100

mintupdate (5.8.8) vanessa; urgency=medium

  [ Michael Webster ]
  * mintupdate-automation: Don't check if the automation flags exist already before adding/removing them.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Aug 2022 12:19:13 +0200

mintupdate (5.8.7) vanessa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:21:05 +0200

mintupdate (5.8.6) vanessa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Jun 2022 16:00:29 +0200

mintupdate (5.8.5) vanessa; urgency=medium

  [ Michael Webster ]
  * automation: Don't rely solely on systemd behavior for enabling/ (#737)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 22 Jun 2022 08:49:13 +0200

mintupdate (5.8.4) vanessa; urgency=medium

  [ Michael Webster ]
  * postinst: Be sure the upgrade and autoremove services are disabled.

  [ Clement Lefebvre ]
  * Revert "Bump debhelper version."

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Jun 2022 21:52:28 +0200

mintupdate (5.8.3) vanessa; urgency=medium

  [ Michael Webster ]
  * Bump debhelper version.
  * automation: Remove multi-user.target hooks.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Jun 2022 15:03:28 +0200

mintupdate (5.8.2) una; urgency=medium

  * Remove support for AppIndicator

 -- Clement Lefebvre <clem@macbook>  Thu, 13 Jan 2022 16:05:56 +0000

mintupdate (5.8.1) una; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 12:52:57 +0000

mintupdate (5.8.0) una; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:41:27 +0000

mintupdate (5.7.9) una; urgency=medium

  [ Michael Webster ]
  * Work around issue with GtkWindow focus tracking after a cinnamon restart.
  * Don't restart cinnamon if no updates affected running xlets.

  [ Kyle Laker ]
  * Avoid unreachable message for non-HTTP mirrors (#701)

  [ NikoKrause ]
  * Change mintupdate-error-symbolic icon (#704)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Nov 2021 11:00:07 +0000

mintupdate (5.7.8) uma; urgency=medium

  * Depend on gir1.2-notify-0.7

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jul 2021 09:50:03 +0100

mintupdate (5.7.7) uma; urgency=medium

  * Fix crash when APT sources are corrupt
  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Jun 2021 12:01:05 +0100

mintupdate (5.7.6) uma; urgency=medium

  * Replace present() with present_with_time()

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 20:12:52 +0100

mintupdate (5.7.5) uma; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:28:54 +0100

mintupdate (5.7.4) uma; urgency=medium

  [ Eric ]
  * Fixed #656: upgrade warnings checkbox now works as expected

  [ agent-redd ]
  * Bugfix for "CVE Tracker" Link

  [ Thomas Uhle ]
  * Packaging: Adapt dependencies to reflect the switch from cron to systemd timers

  [ Clement Lefebvre ]
  * mintupdate-cli: Update description for install-recommends
  * Record the last time the apply-updates button was pressed
  * Depecations: Replace parser.unescape with html.unescape
  * Present the window if the welcome screen needs to be acknowledged
  * Remove unnecessary variable
  * Simplify refresh thread
  * Add tests for various cases
  * Fix insensitive update button in self-update case
  * Simplify refresh thread
  * Add a test case for the apt policy
  * Refactor code around mint layer detection
  * test: Fix /lib copy call on merged systems
  * Keep track of updates over time
  * Notify user when updates are too old
  * Add a setting to disable notifications
  * Improve notification system
  * Fix exception handling

  [ Butterfly ]
  * Always mark Chromium updates as security updates (#664)

  [ Clement Lefebvre ]
  * Fix a regression in previous commits
  * Notifications: Fix i18n with ngettext

  [ Michael Webster ]
  * mintUpdate.py: Fix status icon activation.

  [ Clement Lefebvre ]
  * Add support for Cinnamon spices (#670)

  [ Michael Webster ]
  * mintUpdate.py: Set the transient-for property on the preferences window so it stays on top of and visible with the main window.

  [ johanw ]
  * No Updates without Power Supply
  * Fixed some small bugs

  [ Michael Webster ]
  * mintUpdate.py: If the upgrade gets aborted by the user, abort the cinnamon updates also.
  * Make nvidia driver updates require a reboot. Don't restart cinnamon if a reboot is neeed.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Jun 2021 11:53:32 +0100

mintupdate (5.7.3) ulyssa; urgency=medium

  * rel_upgrade_root: Handle package additions/removals

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 09 Jan 2021 13:13:06 +0000

mintupdate (5.7.2) ulyssa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 16:48:27 +0000

mintupdate (5.7.1) ulyssa; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:00:12 +0000

mintupdate (5.7.0) ulyssa; urgency=medium

  [ Michael Webster ]
  * mintUpdate.py: Disable toolbar buttons when there are no updates available.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Nov 2020 16:41:24 +0000

mintupdate (5.6.9) ulyana; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 11:51:40 +0100

mintupdate (5.6.8) ulyana; urgency=medium

  * Simplify APT Cache Monitor

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Jun 2020 17:09:23 +0100

mintupdate (5.6.7) ulyana; urgency=medium

  [ Butterfly ]
  * mintUpdate.py: Fixes #623 (#625)

  [ Clement Lefebvre ]
  * l10n: Set gettext and locale properly

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jun 2020 11:22:47 +0100

mintupdate (5.6.6) ulyana; urgency=medium

  [ felipecespedes ]
  * Show right description for grouped updates
  * avoid the try-except block for validating package in the cache

  [ NikoKrause ]
  * Change "Reboot required" icon in infobar

  [ Clement Lefebvre ]
  * tests: Remove call to obsolete get_eol_status()
  * CI: Target Mint 20
  * Revert "avoid the try-except block for validating package in the cache"
  * Revert "Show right description for grouped updates"

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Jun 2020 15:14:42 +0100

mintupdate (5.6.5) ulyana; urgency=medium

  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 May 2020 08:22:58 +0100

mintupdate (5.6.4) ulyana; urgency=medium

  [ Michael Webster ]
  * systemd: Modify rules in service and timer files to be less impactful, but more reliable to users.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 14:52:12 +0100

mintupdate (5.6.3) ulyana; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 11:53:25 +0100

mintupdate (5.6.2) ulyana; urgency=medium

  [ Michael Webster ]
  * all: Get rid of some gtk deprecation warning spam.

  [ Nicolas Braud-Santoni ]
  * Order mintupdate-automation-upgrade after network-online

  [ Clement Lefebvre ]
  * Switch to symbolic tray icons
  * Update symbolic tray icons

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 07 May 2020 13:32:21 +0100

mintupdate (5.6.1) ulyana; urgency=medium

  [ Clement Lefebvre ]
  * CI: Use Mint 19.3

  [ JosephMcc ]
  * prefs: Add some margins around button in automation tab

  [ Butterfly ]
  * Fix: NameError: name 'ngettext' is not defined for Ulyana/Focal base

  [ Clement Lefebvre ]
  * Fix LSB call in Mint 20

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Apr 2020 16:23:46 +0100

mintupdate (5.6.0) debbie; urgency=medium

  [ Michael Webster ]
  * mintUpdate.py: Disable the install button when no updates are selected (or available).
  * icons: Fix rendering of mintupdate-type-package-symbolic.svg.
  * icons: Lighten the outer ring of the symbolic 'package' icon to match previous appearance.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Feb 2020 15:25:05 +0000

mintupdate (5.5.9) tricia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 11:00:40 +0000

mintupdate (5.5.8) tricia; urgency=medium

  * mint-refresh-cache: Catch exceptions
  * l10n: Update translations
  * l10n: Generate files
  * Packaging: Depend on gir1.2-xapp-1.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 14:28:19 +0000

mintupdate (5.5.7) tricia; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:35:01 +0000

mintupdate (5.5.6) tricia; urgency=medium

  * KernelWindow: Fix exception when kernel EOL tag isn't specified

 -- Clement Lefebvre <clem@mintbox3>  Wed, 13 Nov 2019 20:58:00 +0100

mintupdate (5.5.5) tricia; urgency=medium

  [ Clement Lefebvre ]
  * Indicator: Add support for tooltip

  [ Michael Webster ]
  * Simplify hiding/showing the main window, and make behavior more (#565)
  * mintUpdate.py: Fix visibility of menu items in the window.
  * mintUpdate.py: Add a way to terminate mintupdate from the window's file menu.

  [ Clement Lefebvre ]
  * Implement support for XAppStatusIcon (#567)
  * Remove timeshift check
  * Remove distribution EOL checks

  [ MrBesen ]
  * Fixed typo (#577)

  [ Michael Webster ]
  * mintUpdate.py: Improve reliability of window raising when clicking the status icon.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Nov 2019 13:04:11 +0100

mintupdate (5.5.4) tina; urgency=medium

  * Remove Python 3.6 code

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Aug 2019 12:48:40 +0200

mintupdate (5.5.3) tina; urgency=medium

  * Kernel window: Fix exception when ACTIVE_KERNEL_VERSION isn't defined

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 03 Aug 2019 11:39:09 +0200

mintupdate (5.5.2) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:41:01 +0200

mintupdate (5.5.1) tina; urgency=medium

  * Change self-updating label
  * l10n: Update POT
  * Systray: Set tray icon before refresh thread

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jul 2019 10:34:55 +0200

mintupdate (5.5.0) tina; urgency=medium

  * Fix warning dialog not shown in kernel window
  * Kernelwindow: Remove unnecessary use of CSS style context
  * Kernelwindow: Fix multithreading issues

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jul 2019 14:05:55 +0200

mintupdate (5.4.9) tina; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 12:42:04 +0200

mintupdate (5.4.8) tina; urgency=medium

  [ gm10 ]
  * Prevent extraneous blank lines on error status (#443)
  * Fix Gtk.MessageDialog "transient parent" issues (#449)
  * Kernelwindow: center on main window (#458)
  * kernelwindow: Reverse sort Remove old kernels (#450)
  * checkWarnings.py: Fix indentation, coding style (#466)

  [ Clement Lefebvre ]
  * CheckWarnings: Fix package names appearing more than once

  [ gm10 ]
  * Allow blacklisting a specific version (#421)

  [ Clement Lefebvre ]
  * l10n: Rephrase msgids for blacklist options

  [ gm10 ]
  * Fix "Hide after applying updates" option (#430)
  * Fix "Always show kernel updates" behaviour (#428)
  * Handle dpkg lock via fuser, remove existing process based detection code (#446)
  * Preferences and automation rework (#416)

  [ Clement Lefebvre ]
  * Small fixes to the previous commit

  [ gm10 ]
  * kernelwindow: Support installed kernels of different types (#434)

  [ Clement Lefebvre ]
  * Inject the app version during the build
  * Remove unused import
  * Fix generate_desktop_files

  [ gm10 ]
  * Revert remaining part of f0829ac04b559a76fed0639bf5590f80bd78bd8d, which is incompatible with my kernel window patches (#480)
  * Add issue templates
  * Automatically refresh Update Manager when the package cache is changed (#441)
  * Point to "apt update" on release information change (#453)
  * Assorted fixes (#454)
  * checkAPT: Only run mintinstall-update-pkgcache when root (#445)
  * Add manual pages (#468)
  * Prevent right-click blacklisting PRIORITY_UPDATES (#473)
  * Fix lsb_release calls (#477)
  * Rewrite Logger (#475)

  [ Clement Lefebvre ]
  * Fix datetime.now() calls

  [ gm10 ]
  * Add simple reboot notification for kernel updates (#478)

  [ Clement Lefebvre ]
  * Remove debug and indentation leftover

  [ gm10 ]
  * Information window use new Logger.read function (#476)
  * Refactor information window for compatibility with current Gtk version, also make read-only. (#486)
  * alias kernel updates only if meta or at least 3 packages in update (#464)
  * Fix root refresh creating root owned files and on LMDE ignoring settings (#472)
  * Always show all applicable infobars, and all infobars to use show_infobar function (#479)

  [ Clement Lefebvre ]
  * Fix infobar icon

  [ gm10 ]
  * Rework kernel/meta recommendation logic (#456)
  * Remove old kernels: Only pre-select kernels older than the current one (#482)
  * APT policy check: Reword error message when Mint layer wasn't found, (#483)
  * Preferences: Run recurring refresh timer based on last refresh time, (#462)
  * Change datetime import
  * Change kernelwindow.py as well
  * Properly escape markup in updates listing (#489)
  * Drop unnecessary except variables (#488)
  * Add distribution end of life warning and status (#459)
  * Kernelwindow: Add optional kernel flavour selector (#457)
  * Add Packages tab and move package listing from descriptions tab there (#467)
  * Fix generic blacklisting of kernel packages (#490)

  [ Clement Lefebvre ]
  * Revert "Fix root refresh creating root owned files and on LMDE ignoring settings (#472)"

  [ gm10 ]
  * Fix changelog retrieval in last commit (#491)
  * Kernelwindow: Automatically remove left-over meta-packages (#455)

  [ Clement Lefebvre ]
  * Remove levels (#492)
  * Add CI and dummy test (#493)
  * Split APT cache refresh away from checkAPT (#496)

  [ gm10 ]
  * Remove count from package list to avoid launchpad translation issues (#494)

  [ Clement Lefebvre ]
  * Remove obsolete options
  * l10n: Update POT

  [ gm10 ]
  * Improve mint-refresh-cache (#497)

  [ Clement Lefebvre ]
  * Fix checkbox alignments in preferences.ui
  * Improve timeshift check

  [ gm10 ]
  * Fix logging errors and make small optimizations (#498)
  * Fix checkWarnings still using removed dist-upgrade setting (#500)
  * Preferences: Blacklist add separate version entry and descriptive labels (#502)
  * CacheWatcher pause/resume changes in interaction with refresh and install threads (#505)
  * Kernel window: Greatly speed up load times (#508)
  * Change question-type infobars to Yes/No buttons (#513)
  * Kernel window: Automatically show flavour selector while multiple flavours are installed (#512)
  * Normalize capitalization according to GNOME style guidelines (#514)
  * Kernel window: Add support for queueing actions (#509)
  * Simplify refresh subprocesses commands, do not  spawn a shell, do not use deprecated method (#503)
  * Add root_mode argument to refresh method, point all but one RefreshThread usages to this method (#506)
  * Blacklisting: Add user blacklist export button to preferences, (#499)
  * Preferences: Add description to automatic maintenance option (#501)
  * Add self-update status page (#507)
  * Refactor RefreshThread to make it more readable (#517)
  * Kernel window: Ellipsis handling (#518)
  * Run apt-config and apt-cache with LC_ALL=C (#521)
  * Check if timeshift exists in timeshift_check() (#523)
  * Drop checkbutton_default_repo_is_ok (#524)
  * Remove unnecessary gi imports (#522)
  * kernels.ui: flavour > flavor (#529)
  * InstallThread: Don't hardcode MessageDialog default component names (#536)
  * Infobars: Only pad below (#533)
  * mintupdate-cli: Don't define PRIORITY_UPDATES, import from Classes.py (#531)
  * Drop "(local)" tag from non-repository installed kernels, it's not really relevant information and wasn't localized, anyway (#527)
  * kernelwindow.py: Remove unused imports, variable and execute permissions (#526)
  * Fix automatic upgrades default configuration (#530)
  * KernelVersion rework: (#525)
  * checkAPT.py assorted fixes: Drop unused function, fix .keys() usage, remove unnecessary sorting (#528)
  * checkAPT: Rework source name grouping for kernel-type updates (#534)
  * checkAPT: Fix two bugs in add_update (#538)
  * Kernelwindow: Assume Ubuntu kernels in the non -proposed pockets are supported even when Supported tag is missing (#539)
  * Kernelwindow: Show kernel flavour in currently using label (#537)

  [ Clement Lefebvre ]
  * Remove mintupdate-autoremove cron job

  [ gm10 ]
  * Blacklist: Allow right-click blacklisting of multiple source packages grouped as a single update

  [ Clement Lefebvre ]
  * Fix mistake in previous commit

  [ gm10 ]
  * Automatic upgrades use systemd instead of cron
  * Kernelwindow: Show refreshing status page and watch cursor while checkKernels.py is running
  * Add status_refreshing page, no longer make the whole GUI insensitive during refresh, only the toolbar, more refactoring of RefreshThread and a little of MintUpdate
  * Remove status message when no updates
  * Remove redundant instances of setting refreshing status, fix status message not getting set/cleared when RefreshThread runs, and clean up redundancy in InstallThread
  * Fix hiding the statusbar during self-update having gotten lost
  * Fix RefreshThread status not always updating

  [ Clement Lefebvre ]
  * Self update: Change msgid and use a symbolic icon
  * Refresh: Make menubar insensitive
  * Fix stuck spinning page
  * Preferences: Use xapp.GSettingsWidgets
  * l10n: Update POT

  [ JosephMcc ]
  * prefs: Fix up the spacing in the spin button layout (#546)

  [ Clement Lefebvre ]
  * Rel-upgrade-root: Use subprocess module
  * l10n: Fix msgids

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 30 Jun 2019 15:40:51 +0200

mintupdate (5.4.7) tessa; urgency=medium

  * Release upgrade: Switch to pkexec

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 19 Dec 2018 15:52:17 +0000

mintupdate (5.4.6) tessa; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Jason Hicks ]
  * checkKernels: Check if pkg.candidate is None (#442)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 15 Dec 2018 12:19:19 +0000

mintupdate (5.4.5) tessa; urgency=medium

  [ NikoKrause ]
  * use icons in the select menu (#429)

  [ Clement Lefebvre ]
  * l10n: Update translations

  [ gm10 ]
  * Remove Select menu and implement on_key_press_event() to handle keybinds that were exclusively added to that menu. (#439)
  * Fix "Visible Columns" menu order to match column order (#433)
  * Kernelwindow: Fix "Remove old kernels" related issues (#426)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Dec 2018 15:36:18 +0000

mintupdate (5.4.4) tessa; urgency=medium

  [ Yvan-Masson ]
  * Run automatic updates in non-interactive mode (#410)

  [ Clement Lefebvre ]
  * Kernel window: Fix installing/removing kernels
  * Kernel Window: Add missing shadow and scrolledview to kernel series

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 03 Dec 2018 15:09:42 +0000

mintupdate (5.4.3) tessa; urgency=medium

  [ gm10 ]
  * fix a mistake made in a previous rebase (#422)
  * Kernelwindow: Fix checkKernels.py error handling (#424)
  * Only show "Supported until" for latest supported kernel in a series, … (#425)

  [ Clement Lefebvre ]
  * Remove trailing spaces
  * Fix missing i18n in select menu
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 03 Dec 2018 14:14:26 +0000

mintupdate (5.4.2) tessa; urgency=medium

  [ Michael Webster ]
  * preferences.ui: Allow a vertical scrollbar in the first preferences page, and make its window slightly larger to start with.

  [ JosephMcc ]
  * kernel-window: Clean up for Gtk3.22 (#377)

  [ gm10 ]
  * Origin column: replace url with release pocket (#392)
  * Kernel window: Show installed mainline kernels (#391)

  [ chingyinwan123 ]
  * Rephrased msgid (#396)

  [ gm10 ]
  * Sort kernel series descending (#397)

  [ Clement Lefebvre ]
  * Rephrase text in kernel warning dialog
  * l10n: Update POT

  [ chingyinwan123 ]
  * Use monospace font for the changelog (#398)
  * Linked keyboard shortcuts to mintUpdate (#393)

  [ gm10 ]
  * fix autostart name (#399)
  * fix kernel window icon
  * fix kernel update type detection (#407)
  * Lock main window while kernel window or kernel install thread are active (#409)
  * Only use Ubuntu kernel meta packages for kernel updates (#405)
  * Fix kernel update type detection v2 (#412)

  [ Clement Lefebvre ]
  * Fix typo

  [ gm10 ]
  * kernelwindow: show support status (#413)

  [ Clement Lefebvre ]
  * Kernel window: Fix kernel status alignment.
  * CLI: add support for --version

  [ gm10 ]
  * dynamically detect kernel meta packages (#415)
  * kernelwindow: Add Remove Old Kernels button and dialog for multi-removal (#414)

  [ Clement Lefebvre ]
  * Kernel removal dialog: Fix spacing/layout
  * Fix main window staying insensitive after closing the kernel window
  * l10n: Update POT
  * l10n: Update translations
  * l10n: Update files

  [ gm10 ]
  * kernelwindow: fix to handling of missing release info (#420)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Nov 2018 12:45:29 +0000

mintupdate (5.4.1) tara; urgency=medium

  [ Vincent Vermeulen ]
  * Fix typo in --ignore argument help

  [ Michael Webster ]
  * main.ui: Fix some widget expand/fill properties to allow the window to be more flexible when resizing.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Sep 2018 15:09:07 +0100

mintupdate (5.4.0) tara; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Jun 2018 13:35:37 +0200

mintupdate (5.3.9) tara; urgency=medium

  * CLI: Always list priority packages

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Jun 2018 09:26:48 +0200

mintupdate (5.3.8) tara; urgency=medium

  * CheckAPT: Spawn mintinstall-update-pkgcache asynchronously
  * Packaging: Don't break virtualbox guest packages
  * Fix wrong callback method

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Jun 2018 09:34:36 +0200

mintupdate (5.3.7) tara; urgency=medium

  * Preferences window: Fix gravity
  * Auto-updates: Fix default cron job permissions
  * Don't report mintinstall cache errors

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Jun 2018 10:45:43 +0200

mintupdate (5.3.6) tara; urgency=medium

  [ monsta ]
  * fix launching mintsources from infobar (#358)

  [ Clement Lefebvre ]
  * Add messages in polkit policy

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 30 May 2018 18:14:09 +0100

mintupdate (5.3.5) tara; urgency=medium

  * Fix retro-compatibility with Gtk 3.18
  * Kernel updates: Group meta/kernels together
  * Packaging: Break virtualbox-guest pkgs
  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 May 2018 11:16:25 +0100

mintupdate (5.3.4) tara; urgency=medium

  [ Clement Lefebvre ]
  * Fix typo
  * Fix not showing the right update name when the short description contains '&'

  [ monsta ]
  * kernel window: support new linux-modules-* packages (#352)

  [ Michael Webster ]
  * checkAPT: generate a new mintinstall cache after updating our apt (#350)

  [ Clement Lefebvre ]
  * Kernel window: Fix installing/removing kernels for new/old naming conventions
  * Kernel window: Remove obsolete code
  * CheckAPT: Improve/Fix kernel updates
  * Add support for lowlatency kernels

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 May 2018 18:22:46 +0100

mintupdate (5.3.3) tara; urgency=medium

  [ Stephen Collins ]
  * Use the correct icon in the autostart desktop file (#295)

  [ Mikhail Bodrov ]
  * Optimize size_to_string (#291)

  [ Periklis ]
  * Updating update managers error message to be more clear (#289)

  [ Mikhail Bodrov ]
  * Remove needless check for proxy mode (#313)
  * Simplify concat proxy_url (#312)

  [ Vincent Vermeulen ]
  * Update mintUpdate.py (#307)

  [ Mikhail Bodrov ]
  * Reuse code in rel_upgrade. (#315)
  * Simplify rule class (#316)

  [ dafanasiev ]
  * fix: end process mintupdate-launcher after run mintUpdate (#317)
  * fix: kill all mintUpdate processes while start (#318)

  [ Vincent Vermeulen ]
  * Add Ctrl+W as shortcut to the Close menu item (#324)

  [ Mikhail Bodrov ]
  * Simplify check for use-synaptic (#321)

  [ JosephMcc ]
  * ui: Change most of the menu icons to symbolics (#326)

  [ Clement Lefebvre ]
  * Use pkexec to launch mintsources

  [ Mikhail Bodrov ]
  * Optimize add package (#328)

  [ NikoKrause ]
  * fix ngettext (#329)
  * Fix capitalize for short description (#330)

  [ JosephMcc ]
  * mintupdate.ui: Properly enable wide separators (#333)
  * ui: Use new GtkTextView settings to provide top and bottom margins (#334)

  [ Clement Lefebvre ]
  * Remove level 5 from UI/configuration
  * Replace update policies with a welcome screen.
  * Show a warning if Timeshift snapshots are not set up
  * Menus: Add timeshift, help contents and switch to symbolic icons
  * Sort updates alphabetically when levels are not visible
  * Hide level column by default
  * Take ownership of mintupdate translations
  * l10n: Parse/set msgids directly in UI files
  * Preferences: Add clear recommendations about applying all updates
  * Update help section
  * Kernels: Rely on meta pkgs instead of kernel packages

  [ JosephMcc ]
  * Add a shortcuts window (#340)

  [ Clement Lefebvre ]
  * Fix shortcut windows l10n and fine-tune menu items

  [ JosephMcc ]
  * UI: Remove all uses of GtkStock (#342)
  * Prefs: Left align some label headers (#343)
  * Set the transient for property on the about dialog (#344)

  [ Clement Lefebvre ]
  * Deprecate mintupdate-tool, rename it into mintupdate-cli
  * mintupdate-cli: Use defaults rather than settings
  * mintupdate-cli: Install all updates by default
  * mintupdate-cli: Update Help
  * Add support for automatic updates
  * Automatic updates: Improve logging in cron job

  [ JosephMcc ]
  * UI: Don't use small, italic text in the or custom colors in the updates list (#345)

  [ Clement Lefebvre ]
  * l10n: Update pot file
  * Add status icons to infobars
  * Fix error handling
  * Improve type classification
  * Update symbolic type icons
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 May 2018 13:29:44 +0100

mintupdate (5.3.2) sylvia; urgency=medium

  [ monsta ]
  * rules: update engrampa version for Betsy (#285)

  [ Clement Lefebvre ]
  * Kernels: Remove msgids in synaptic call and support window-progress

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 22 Nov 2017 12:10:31 +0000

mintupdate (5.3.1) sylvia; urgency=medium

  * Rephrase kernel warning

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Nov 2017 13:43:55 +0000

mintupdate (5.3.0) sylvia; urgency=medium

  [ Clement Lefebvre ]
  * Count all available updates in systray status
  * l10n: Update POT file
  * Adapt help to Firefox level change
  * rel_upgrade_root: Don't adjust grub's 10_linux

  [ xenopeek ]
  * mintupdate-tool: include possible commands in help (#265)

  [ Clement Lefebvre ]
  * Synaptic: Don't specify progress/finish strings
  * Synaptic: Don't specify progress strings
  * Flag specific mintmenu/engrampa updates as level 3 for the move to GTK3
  * Simplify some msgids and dimmed descriptions

  [ NikoKrause ]
  * Fetch strings with ngettext (#266)

  [ Clement Lefebvre ]
  * l10n: Update POT file and additional files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Oct 2017 16:38:54 +0100

mintupdate (5.2.9) sonya; urgency=medium

  * Lower Firefox to a level 1 update

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jun 2017 12:45:26 +0200

mintupdate (5.2.8) sonya; urgency=medium

  * Always mark Firefox and Thunderbird updates as security updates
  * Change "Clear" keybinding to CTRL+SHIFT+A
  * Fix policy page to fit within 800x600px
  * Fine-tune default window-paned-position
  * Fix default settings to match policy #2

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Jun 2017 10:28:05 +0200

mintupdate (5.2.7) sonya; urgency=medium

  * Don't launch mintupdate in guest session
  * Fix policy detection
  * Fix blacklisting of linux* source names

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Jun 2017 15:07:25 +0100

mintupdate (5.2.6) sonya; urgency=medium

  * l10n: Properly translate help title

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 May 2017 15:59:32 +0100

mintupdate (5.2.5) sonya; urgency=medium

  * Don't label linux-kernel-generic as a normal kernel update
  * CheckAPT: Fix self.priority_updates_available flag not set correctly

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 May 2017 12:00:34 +0100

mintupdate (5.2.4) sonya; urgency=medium

  * Kernel window: Don't show labels for meta kernel versions
  * Kernel updates: Add support for HWE meta
  * Fix escaping of special characters in the UI
  * Don't group all kernel updates together.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 29 May 2017 16:54:58 +0100

mintupdate (5.2.3) sonya; urgency=medium

  [ Clement Lefebvre ]
  * Add menu items and keyboard shortcuts
  * Rules: Add cjs and slick-greeter

  [ monsta ]
  * kernel window: purge kernel packages (#236)

  [ Clement Lefebvre ]
  * l10n: Generate additional files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 07 May 2017 13:40:05 +0100

mintupdate (5.2.2) sonya; urgency=medium

  * Add CLI support
  * Remove unused function
  * Kernel updates: Don't recommend newer series
  * Fix origin info for 3rd party repositories
  * Initialize origin variable
  * Kernel window: Sort kernels in reverse order
  * Main window: Rename Package column to Name
  * Small fixes
  * Improved help, level definitions and policies
  * l10n: Update POT and generated files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 26 Apr 2017 13:22:28 +0100

mintupdate (5.2.1) serena; urgency=medium

  [ NikoKrause ]
  * add missing l10n in kernelwindow

  [ fsbs ]
  * Finer mirror up-to-date checks and warnings
  * Fixed label padding in "additional changes" dialog

  [ Clement Lefebvre ]
  * Kernel window: Fix changelog link for kernel 4.8 series

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 22 Feb 2017 10:48:23 +0000

mintupdate (5.2.0) serena; urgency=medium

  * rel_upgrade: Fix typo
  * rel_upgrade: Update grub
  * Fix import errors

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Jan 2017 15:46:28 +0000

mintupdate (5.1.9) serena; urgency=medium

  * rel_upgrade: Switch from dict() to configparser
  * rel_upgrade: Fix regressions caused by GTK3 migration
  * rel_upgrade: Enable backport component

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 18 Dec 2016 11:37:58 +0000

mintupdate (5.1.8) serena; urgency=medium

  [ salphaon ]
  * Fixed checking dialog response when add blacklist.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 10 Dec 2016 12:47:20 +0000

mintupdate (5.1.7) serena; urgency=medium

  * Kernel window: rephrase text for recommended kernels
  * Kernel updates: Don't always recommend the "recommended" kernel.
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 07 Dec 2016 12:42:00 +0000

mintupdate (5.1.6) serena; urgency=medium

  * l10n: Add missing msgid

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Nov 2016 08:39:34 +0000

mintupdate (5.1.5) serena; urgency=medium

  * Fix and improve kernel updates
  * kernel window: Sort kernels by version
  * kernel window: Show active kernel in listbox, and linux-image-generic recommended kernel
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Nov 2016 15:28:28 +0000

mintupdate (5.1.4) serena; urgency=medium

  * l10n: Unescape pkg descriptions

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 Nov 2016 18:33:13 +0000

mintupdate (5.1.3) serena; urgency=medium

  * Elevate ubuntu-drivers-common and nvidia drivers to level 4

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Nov 2016 10:23:02 +0000

mintupdate (5.1.2) serena; urgency=medium

  [ rogue-spectre ]
  * set_label for OK and Help for preference menu
  * translatable="yes" for ok and help

  [ Clement Lefebvre ]
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 10:17:13 +0000

mintupdate (5.1.1) serena; urgency=medium

  [ xenopeek ]
  * mintUpdate.py: don't download changelog each time on tab switch
  * mintUpdate.py: show version number to About Dialog

  [ brennanhm ]
  * Improve visibility of buttons in update policy window - issue #170

  [ Clement Lefebvre ]
  * Fixed typos and logic errors in name resolution

  [ brennanhm ]
  * Prevent reset of package selection if update fails - issue #120
  * Add optional 'source' column to the main overview - Issue #77

  [ Clement Lefebvre ]
  * Rename Source -> Origin in previously merged PR.
  * Don't hide window when update fails

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 05 Nov 2016 13:28:52 +0000

mintupdate (5.1.0) sarah; urgency=medium

  * [tomoe-musashi] Fixed typo
  * Use appindicator in KDE
  * makepot

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Aug 2016 16:17:10 +0200

mintupdate (5.0.9) sarah; urgency=medium

  * Fixes in preferences UI

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jun 2016 11:34:02 +0100

mintupdate (5.0.8) sarah; urgency=medium

  * Policy screen: Updated layout

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 02 Jun 2016 14:16:03 +0100

mintupdate (5.0.7) sarah; urgency=medium

  [ JosephMcc ]
  * Redo the level icons again

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 May 2016 12:30:44 +0100

mintupdate (5.0.6) sarah; urgency=medium

  [ Michael Webster ]
  * Fix tooltip check for security updates

  [ Clement Lefebvre ]
  * Specify gi GTK version in checkAPT.py

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 May 2016 15:36:42 +0100

mintupdate (5.0.5) sarah; urgency=medium

  [ JosephMcc ]
  * Adjust the relative sizes of text on the initial setup page so we can avoid using the tiny text in the descriptions
  * Use larger icons in the initial setup page
  * initial-setup: Use symbolic icons one the buttons

  [ Clement Lefebvre ]
  * Update policy screen: Use a scrolledwindow to show policies

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 May 2016 11:06:42 +0100

mintupdate (5.0.4) sarah; urgency=medium

  * Reduce the minimum height of the main window

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 May 2016 12:09:17 +0100

mintupdate (5.0.3) sarah; urgency=medium

  * CheckAPT: Don't consider backport as an opt-in backport source (in Sarah backport is now part of the default repositories and used by the distribution to offer newer stable versions)
  * Fixed logic which determines whether a security/kernel update is safe/visible

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2016 13:09:06 +0100

mintupdate (5.0.2) sarah; urgency=medium

  [ brennanhm ]
  * Show changelog from PPA packages - issue #56
  * In ChangelogRetriever(), check if package origin contains 'LP-PPA'. If so, download change record from LaunchPad
  * ChangelogRetriever() now extracts PPA owner and name from /etc/apt/sources.list.d/
  * Extract PPA owner and name from Apt sources
  * Download full changelog from Launchpad
  * Improve exception handling
  * Download debian tarball using urllib2
  * Verify format of tarball line
  * Check Apt sources.list file for PPA info
  * Prefer source file in PPA sources directory

  [ JosephMcc ]
  * Complete revamp of the kernel install/remove dialog
  * convert all icons to themed icons. Properly install all unique icons to the hicolor icon theme. This gives proper support for HiDpi and allows third party themes to theme the icons
  * toolbar: Convert the icons to symbolic for better dark theme support
  * Remove the use of some hard-coded text color
  * Fix an error using the value for Gtk.MessageType
  * preferences: Redesign the dialog to use a stack and stack switcher
  * Change the ui to use a Gtk.Stack instead of Gtk.Notebook. Add a dummy page to the stack to allow initial configuration.
  * Add a "wide" style class to the main windows GtkPaned

  [ Clement Lefebvre ]
  * Re-implement dimmed colors but without hardcoding the value
  * Force level icons to 22px (should also work in hidpi, assuming gtk3 translates the size according to the scale)
  * Removed Gtk.Socket in mintupdate.py (previously needed by synaptic but now works without it).
  * Fixed broken notebook borders with Mint-Y theme
  * Implemented the UI and the help for the security policy screen
  * Inhibit refresh when a policy is being chosen
  * Fixed wrong sentence in policy screen, added kernel updates settings
  * Implemented policy selection/detection
  * Implemented kernel updates
  * Simplified kernel warning page, added info on kernel installation/selection/dkms and simplified kernel related info
  * Tuned policies
  * Don't show a status message when choosing the policy
  * Rephrased policies and help
  * Updated generated files
  * Fixed "\n" not split correctly in short descriptions
  * Fixed package description not being parsed correctly when switching notebook page

  [ Ryan Rafe Lee ]
  * Fixed bug caused by using PyGTK style

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Apr 2016 11:45:31 +0100

mintupdate (5.0.1) sarah; urgency=medium

  [ Gwendal Le Bihan ]
  * Migrate to Python3 / Gtk3
  * shebangs

  [ Clement Lefebvre ]
  * Migrate to gsettings
  * Made icons themeable and non-configurable
  * Use a class object in mintupdate.py
  * Improved changelog parsing
  * Parse carriage returns in package descriptions

  [ JosephMcc ]
  * main.ui: Add a primary-toolbar style class to the main toolbar. Gives it a proper toolbar appearance and brings back the toolbar separators
  * preferences.ui: Use what seems to be a standard type of gtk3 layout in the blacklisted packages tab
  * dialogs: Left align the close button in the information and history dialogs so it's consistent with other mintupdate dialogs and most other gtk dialogs. Also use consistent spacing and border widths in both dialogs
  * preferences.ui: Tweak the layout of all the widgets so things behave properly when the window is resized

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Feb 2016 11:50:34 +0000

mintupdate (5.0.0) sarah; urgency=medium

  * Added dependency on python-pycurl
  * Changed shebangs to #!/usr/bin/python2

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 Jan 2016 16:02:39 +0000

mintupdate (4.9.9) rosa; urgency=medium

  * Upgrade tool: Add support for blacklists
  * Elevated levels for some of the hardware support pkgs shipping with Linux Mint (they're important for a new release but not suggested during/after an upgrade, some of them like Virtualbox are even dangerous due to stack differences)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Dec 2015 16:09:19 +0000

mintupdate (4.9.8) rosa; urgency=medium

  * Fixed show APT error in case of mergelist issues (was hidden by policy check)
  * Only perform up2date checks when refresh is done from UI.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Nov 2015 14:51:09 +0000

mintupdate (4.9.7) rosa; urgency=medium

  * Use default paths for custom icons which do not exist

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Nov 2015 13:50:19 +0000

mintupdate (4.9.6) rosa; urgency=medium

  * Check APT policy to prevent OS corruption

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 15 Nov 2015 15:22:24 +0000

mintupdate (4.9.5) rosa; urgency=medium

  * Fixed recent regression
  * Fixed crash when refreshing in root mode while hidden (window is not realized yet, so window.window isn't available)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 Nov 2015 13:59:15 +0000

mintupdate (4.9.4) rafaela; urgency=medium

  [ Clement Lefebvre ]
  * Don't let mintupdate crash when ~/.config/linuxmint/mintUpdate.conf is corrupted
  * Within an update, use the description from what looks like the most relevant package rather than just the last one in the list
  * Kernel window: Fixed columns sorting
  * Use os.path.expanduser() instead of user.home
  * Properly parse Linux Mint changelogs
  * Added an infobar to warn against using the default repository or a repository which is not up to date
  * Add an option to dismiss warnings about the default mirror (some users might want to stick to packages.linuxmint.com)
  * Use two distinct configurable delays, one to refresh the cache after launch, and one to refresh frequently after that.
  * Updated pot file
  * Updated desktop files

  [ Eduard Dopler ]
  * Fix gettext substitution

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Nov 2015 15:57:00 +0000

mintupdate (4.9.3.2) rafaela; urgency=medium

  * Desktop file: Removed generic name, used icon name, added to Xfce Settings, removed category duplication in KDE

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jul 2015 10:34:03 +0200

mintupdate (4.9.2) rafaela; urgency=medium

  * Consider isolated updates to mint-upgrade-info as update-manager updates.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Jul 2015 13:41:54 +0200

mintupdate (4.9.1) rafaela; urgency=medium

  * Consider mint-upgrade-info an update-manager update

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Jul 2015 13:19:44 +0200

mintupdate (4.9.0) rafaela; urgency=medium

  * Upgrade tool: Don't force users to read rel_notes and new features

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Jun 2015 13:31:55 +0200

mintupdate (4.8.9) rafaela; urgency=medium

  * Depend on mint-kernel-info/mint-upgrade-info (even though they're not used in LMDE, they're harmless and this simplifies maintenance)
  * Don't show help in the menu when it isn't installed

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Jun 2015 12:28:26 +0200

mintupdate (4.8.8) rafaela; urgency=medium

  * Fixed security updates for visible levels not being selected when set to safe but not visible
  * Don't show security updates for non-visible levels by default (Level 4 or 5 updates should not be recommended to novice users. If a particular update is both a very important security fix and affects a sensitive component we can move its particular version to lower levels to recommend it to novice users).

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jun 2015 17:59:09 +0200

mintupdate (4.8.7) rafaela; urgency=medium

  * Only show the up-to-date screen when there are no visible updates

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Jun 2015 18:51:14 +0200

mintupdate (4.8.6) rafaela; urgency=medium

  [ monsta ]
  * build-dep on dh-python

  [ Clement Lefebvre ]
  * Replaced happy face icon with tick icon

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Jun 2015 10:08:15 +0200

mintupdate (4.8.5) rafaela; urgency=medium

  [ Monsta ]
  * Proper threads_enter/threads_leave pairing

  [ Clement Lefebvre ]
  * Changed package description
  * Use aliases for known source packages and l10n Mint packages descriptions
  * List real name when alias is different than source package name
  * Made hiding the update manager after applying updates configurable (and disabled by default)
  * When up-to-date show an icon and up-to-date screen rather than an empty list of updates. When finding an error, show an error icon and details in the main region of the window rather than near the statusbar.
  * Added an option to only show system tray in case of updates or errors
  * When hiding tray icon, don't consider APT locks to be important

  [ Lester Carballo Pérez ]
  * Don't use get_child().set_text

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 09 Jun 2015 11:57:23 +0200

mintupdate (4.8.4) betsy; urgency=medium

  [ monsta ]
  * Don't crash with glib >= 2.41

  [ Marshall Banana ]
  * override harmless image-file-in-usr-lib warnings
  * mention license of proxygsettings.py
  * fix libglade warnings
  * edit shebang in checkAPT.py
  * change shebang lines to "#!/usr/bin/python2.7"
  * let dh_python2 look in /usr/lib/linuxmint/mintUpdate
  * python versions will be handled by dh_python2

  [ Clement Lefebvre ]
  * Moved kernel info and upgrade info to separate packages
  * Ignore revision number when identifying kernel versions

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 May 2015 17:15:43 +0200

mintupdate (4.8.3) betsy; urgency=medium

  * Changelog retriever: Added support for Debian

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 Mar 2015 11:55:45 +0100

mintupdate (4.8.2) betsy; urgency=medium

  * Added support for Debian security updates
  * Kernel screen: Added support for Linux 4.x kernels
  * Only support kernel selection in Linux Mint (LMDE is using Debian's meta)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Feb 2015 13:06:59 +0100

mintupdate (4.8.1) rebecca; urgency=medium

  * Enabled 17->17.1 upgrade path for KDE and Xfce editions

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 10 Jan 2015 18:04:33 +0100

mintupdate (4.8.0) rebecca; urgency=medium

  * Escape & signs in short descriptions before using them in Pango markups.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 09 Jan 2015 12:06:02 +0100

mintupdate (4.7.9) rebecca; urgency=medium

  * Non-security updates sometimes shown when they should be hidden

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Dec 2014 13:08:19 +0100

mintupdate (4.7.8) rebecca; urgency=medium

  * Check edition before showing upgrade menu

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 07 Dec 2014 11:23:30 +0100

mintupdate (4.7.7) rebecca; urgency=medium

  * Don't force Mint originated updates to level 1, submit them to rules as well.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Dec 2014 11:49:14 +0100

mintupdate (4.7.6) rebecca; urgency=medium

  * Upgrade tool: Don't rely on LSB, check LM info instead
  * Upgrade tool: Disable the screensaver during the upgrade

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 Dec 2014 15:09:23 +0100

mintupdate (4.7.5) rebecca; urgency=medium

  * Added upgrade path for: 17 "Qiana" --> 17.1 "Rebecca"

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 Dec 2014 11:15:16 +0100

mintupdate (4.7.4) rebecca; urgency=medium

  * Fixed regression (safe levels not checked by default)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Nov 2014 16:51:29 +0100

mintupdate (4.7.3) rebecca; urgency=medium

  * Added a configuration option to hide descriptions

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Nov 2014 14:00:33 +0100

mintupdate (4.7.2) rebecca; urgency=low

  * Add kernels informations

 -- Frédéric Gaudet <fred@linuxmint.com>  Tue, 21 Oct 2014 10:39:02 +0200

mintupdate (4.7.1) rebecca; urgency=medium

  * Added short descriptions
  * Tweaked default window dimensions and hide old version and size columns by default
  * Don't hide the window after installing updates

 -- Clement Lefebvre <clement.lefebvre@linuxmint.com>  Wed, 15 Oct 2014 12:02:05 +0200

mintupdate (4.7.0) rebecca; urgency=medium

  * Tweak the width of the information window
  * Alter history of updates window sizing
  * Added proxy gsettings retriever stolen from python-ubuntu-sso-client
  * Use proxy gsettings for retrieving the changelogs
  * Show updates (source packages) not packages

 -- Clement Lefebvre <clement.lefebvre@linuxmint.com>  Tue, 14 Oct 2014 14:10:34 +0200

mintupdate (4.6.9) rebecca; urgency=medium

  * Show full and l10n'd descriptions (complete)
  * Added proxy support in changelog retrieval
  * tweak the notebook look a spacing a bit to better match the main windows notebook
  * Minor changes for cleaner code
  * Instant l10n descriptions (previous implementation introduced lag). Careful with memory though, this commit raises mintUpdate's mem footprint from 20MB to 30MB RAM, with brief jumps to 100MB when refreshing the list of updates. We might be able to optimize this in the future by removing the need for "super_buffer" and handling apt l10n files line by line.
  * Little fixes in history of updates
  * Fixed error detection and reporting when checkAPT is run as root and fails to update the cache
  * Include Libreoffice l10n in level 2
  * Fixed LibreOffice placing at level 2 (didn't work as expected)
  * Added contextual help

 -- Clement Lefebvre <clement.lefebvre@linuxmint.com>  Tue, 30 Sep 2014 13:09:22 +0200

mintupdate (4.6.8) qiana; urgency=medium

  * Match levels to source packages instead of package names
  * By default, sort updates by Level->Source Package->Package Name
  * Resized the warning dialog showing packages being installed/removed

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 20 Jun 2014 13:39:26 +0100

mintupdate (4.6.6) qiana; urgency=medium

  * Security update: prevent a privilege escalation
  * Don't refresh the cache when adding a package to the ignore list

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jun 2014 12:25:02 +0100

mintupdate (4.6.5) qiana; urgency=medium

  * Fix to warn about package removals

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jun 2014 17:09:13 +0100

mintupdate (4.6.4) qiana; urgency=medium

  [ Gwendal Le Bihan ]
  * Fix to warn about package removals

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jun 2014 15:48:53 +0100

mintupdate (4.6.3) qiana; urgency=medium

  * Added new kernel info
  * Fixed messages when installing/removing kernels

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Jun 2014 11:24:04 +0100

mintupdate (4.6.2) qiana; urgency=medium

  * Updated rules
  * Made all Mint packages level 1

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 May 2014 14:53:07 +0100

mintupdate (4.6.1) qiana; urgency=medium

  * Scrolled view in kernels window
  * Don't add an install button for kernels which aren't installable

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 May 2014 11:51:52 +0100

mintupdate (4.6.0) qiana; urgency=medium

  * UI improvements
  * New level icons
  * non-editable changelog
  * ability to hide type column

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 May 2014 11:07:05 +0100

mintupdate (4.5.9) qiana; urgency=medium

  * Faster changelog
  * Doesn't switch back to description tab when selecting a different package update

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 06 May 2014 10:05:51 +0100

mintupdate (4.5.8) qiana; urgency=medium

  * User mode
  * Kernels
  * dpkg history 
  * security updates
  * changelog fixes
  * UI fixes..

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 May 2014 18:42:37 +0100

mintupdate (4.5.7) petra; urgency=low

  * Fixed usr/lib/linuxmint/mintUpdate/checkWarnings.py using obsolete calls

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Jan 2014 18:53:13 +0000

mintupdate (4.5.6) petra; urgency=low

  * Updated rules

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 30 Nov 2013 02:08:01 +0000

mintupdate (4.5.5) petra; urgency=low

  * Fixed xdg desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Nov 2013 16:54:57 +0000

mintupdate (4.5.4) petra; urgency=low

  * Fix desktop file

 -- Frédéric Gaudet <fred@linuxmint.com>  Fri, 08 Nov 2013 10:10:48 +0100

mintupdate (4.5.3) petra; urgency=low

  * Autostart delay
  * Only use ping_domain to check connection

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 07 Nov 2013 15:02:29 +0000

mintupdate (4.5.2) olivia; urgency=low

  * 4.5.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 May 2013 15:20:36 +0100

mintupdate (4.5.1) olivia; urgency=low

  * 4.5.1

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 May 2013 13:29:40 +0100

mintupdate (4.5.0) olivia; urgency=low

  * Ability to update APT cache in user mode

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 08 Apr 2013 11:43:38 +0100

mintupdate (4.4.9) olivia; urgency=low

  * Fixed indentation
  * Also check for name:arch in the selected packages

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 08 Apr 2013 11:30:58 +0100

mintupdate (4.4.8) olivia; urgency=low

  * Added Olivia to python-apt template

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Mar 2013 10:59:07 +0000

mintupdate (4.4.7) nadia; urgency=low

  * Fixed: mintUpdate failing to restart when updating itself in KDE

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Dec 2012 11:30:25 +0000

mintupdate (4.4.6) nadia; urgency=low

  * UI fix: info dialog centered instead of always-centered
  * Check_warnings: Use apt_pkg instead of apt (more reliable)
  * Changelog retrieval: doesn't need deb-src lines in apt sources anymore and fixed for most packages

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 17 Dec 2012 16:09:21 +0000

mintupdate (4.4.5) nadia; urgency=low

  * Check cache changes after all packages modifications are marked

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 17 Dec 2012 09:58:48 +0000

mintupdate (4.4.4) nadia; urgency=low

  * Added Nadia to the list of templates

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 09 Oct 2012 11:20:10 +0100

mintupdate (4.4.3) maya; urgency=low

  * Updated rules

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Sep 2012 13:20:28 +0100

mintupdate (4.4.2) maya; urgency=low

  * Updated rules

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Jul 2012 18:02:54 +0100

mintupdate (4.4.1) maya; urgency=low

  * Use kdesudo in KDE

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Jun 2012 14:37:43 +0100

mintupdate (4.4.0) maya; urgency=low

  * Use casper/live instead of ubiquity/live-installer to detect live session

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 Jun 2012 11:03:10 +0100

mintupdate (4.3.9) maya; urgency=low

  * Maya

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 May 2012 13:28:45 +0100

mintupdate (4.3.8) lisa; urgency=low

  * Removed onlyShowIn clause in XDG autostart

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Feb 2012 18:19:25 +0000

mintupdate (4.3.7) lisa; urgency=low

  * Fixed context menu position

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 18 Jan 2012 20:17:22 +0000

mintupdate (4.3.6) lisa; urgency=low

  * Updated rules file with mate packages

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 11 Nov 2011 10:55:15 +0000

mintupdate (4.3.5) lisa; urgency=low

  * Updated rules file with mgse packages
  * Moved LinuxMint.mirrors to mint-mirrors package

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  28 Oct 2011 09:29:00 +0000

mintupdate (4.3.4) lisa; urgency=low

  * Updated Linux Mint template for Lisa

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  15 Oct 2011 11:41:00 +0000

mintupdate (4.3.3) katya; urgency=low

  * Added compatibility for "kept back" updates (solves cases where user sees a "fix broken packages" message). 

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  30 Aug 2011 11:18:00 +0000

mintupdate (4.3.2) katya; urgency=low

  * Bug fix, replace non-ascii-encodable unicode characters with XML codes

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  3 Jun 2011 13:07:00 +0000

mintupdate (4.3.1) katya; urgency=low

  * New mirrors in South Africa and China

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  25 May 2011 13:03:00 +0000

mintupdate (4.3.0) katya; urgency=low

  * Updated Linux Mint template for Katya

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  28 Apr 2011 17:01:00 +0000

mintupdate (4.2.9) katya; urgency=low

  * Compatible with Ubuntu 11.04 (in which libc.so.6 was moved)

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  12 Apr 2011 09:40:00 +0000

mintupdate (4.2.8) katya; urgency=low

  * New Greek mirror

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  4 Apr 2011 15:47:00 +0000

mintupdate (4.2.7) katya; urgency=low

  * New Canadian mirror
  * MintUpdate restarts after upgrading itself

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  4 Apr 2011 15:10:00 +0000

mintupdate (4.2.6) katya; urgency=low
  
  * mintUpdate now only list upgrades, not dependencies
  * packages to be installed or removed to satisfy dependencies are listed in a dialog which pops up to warn the user

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  27 Mar 2011 19:47:00 +0000

mintupdate (4.2.5) katya; urgency=low
  
  * Small cosmetic bug fix on /tmp/mintUpdate chmod call

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  25 Mar 2011 15:53:00 +0000

mintupdate (4.2.4) katya; urgency=low
  
  * Modal synaptic dialogs
  * Synaptic dialog closes itself automatically after a successful upgrade
  * Cleaned up warning due to windows sockets
  * Cleaned up child (root) update manager killing parent (user) application, relying on killall instead.

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  25 Mar 2011 15:40:00 +0000

mintupdate (4.2.3) katya; urgency=low

  * Mint 11 changes:
  * Removed warning and extra info tabs
  * Asynchronous changelog retrieval
  * Cleaned up upstream changelog retrieval
  * Migrated from wget to urllib2 for changelog retrieval
  * Only show mintupdate update when available to make sure rules are updated first
  * Removed proxy settings (delegated to APT/Desktop)
  * Fixed "broken packages" bug occurring when some packages need to be removed
  * In history of updates, dates now follow the format YYY.MM.DD
  * Fixed permission bug on /tmp/mintUpdate log folder

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  23 Mar 2011 13:23:00 +0000

mintupdate (4.2.2) julia; urgency=low

  * Added Czech mirror

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  10 Mar 2011 09:54:00 +0000

mintupdate (4.2.1) julia; urgency=low

  * New mirror in The Netherlands
  * Removed inactive US mirror

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  8 Feb 2011 12:14:00 +0000

mintupdate (4.2.0) julia; urgency=low

  * Changed level descriptions

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  16 Dec 2010 10:47:00 +0000

mintupdate (4.1.9) julia; urgency=low

  * Added Brazilian mirror

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  2 Dec 2010 10:38:00 +0000

mintupdate (4.1.8) julia; urgency=low

  * Added South African mirror

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  22 Nov 2010 21:32:00 +0000

mintupdate (4.1.7) julia; urgency=low

  * Closes properly when requested
  * Typo fixed in status bar

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  26 Oct 2010 17:35:00 +0000

mintupdate (4.1.6) julia; urgency=low

  * Bug fix in error detection.

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  26 Oct 2010 10:55:00 +0000

mintupdate (4.1.5) julia; urgency=low

  * Bug fix: Show download size even when packages are ignored

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  23 Oct 2010 15:33:00 +0000

mintupdate (4.1.4) julia; urgency=low

  * Added two German mirrors

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  22 Oct 2010 15:01:00 +0000

mintupdate (4.1.3) julia; urgency=low

  * Better and faster changelog retrieval  

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  03 Oct 2010 12:17:00 +0000

mintupdate (4.1.2) julia; urgency=low

  * Julia added to templates

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  03 Oct 2010 12:17:00 +0000

mintupdate (4.1.1) julia; urgency=low

  * Don't run in live mode

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  25 Sep 2010 10:04:00 +0000

mintupdate (4.1.0) debian; urgency=low

  * Modified US repository

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  20 Sep 2010 16:34:00 +0000

mintupdate (4.0.9) debian; urgency=low

  * Added Indian and Brazilian repositories
  * Added total download size and number of selected updates
  * Added "ignore updates for this package" menu item in treeview

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  16 Sep 2010 10:28:00 +0000

mintupdate (4.0.8) debian; urgency=low

  * Added Debian suite to python-apt info files

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  28 Aug 2010 18:00:00 +0000

mintupdate (4.0.7) isadora; urgency=low

  * Added German and Latvian repositories

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  03 Aug 2010 11:34:00 +0000

mintupdate (4.0.6) isadora; urgency=low

  * Added American repository

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  24 Jul 2010 12:54:00 +0000

mintupdate (4.0.5) isadora; urgency=low

  * Added indonesian repository

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  29 Jun 2010 10:25:00 +0000

mintupdate (4.0.4) isadora; urgency=low

  * Updated desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  14 May 2010 10:51:00 +0000

mintupdate (4.0.3) isadora; urgency=low

  * Updated template file

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  9 Apr 2010 13:53:00 +0000

mintupdate (4.0.2) isadora; urgency=low

  * Improved icon visibility (for light themes)

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  23 Mar 2010 13:46:00 +0000

mintupdate (4.0.1) isadora; urgency=low

  * Fixed bug in changelog retrieval

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  23 Mar 2010 12:52:00 +0000

mintupdate (4.0.0) isadora; urgency=low

  * Changed default icons
  * Introduced two new status: unknown (when it's not possible to determine whether there are updates but the cause doesn't require action from the user, typical case: no Internet connection), and apply (when installing updates)
  * Less intrusive: by default, the icon looks different only when the system is up to date, when there are updates to apply, or when there is an error.

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  24 Feb 2010 13:41:00 +0000

mintupdate (3.9.0) helena; urgency=low

  * Added Belarusian mirror

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  22 Feb 2010 13:59:00 +0000

mintupdate (3.8.9) helena; urgency=low

  * Added Australian mirror

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  22 Jan 2010 21:28:00 +0000

mintupdate (3.8.8) helena; urgency=low

  * Added French mirror

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  3 Jan 2010 11:16:00 +0000

mintupdate (3.8.7) helena; urgency=low

  * Added Polish Telecoms mirror

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  24 Nov 2009 13:26:00 +0000

mintupdate (3.8.6) helena; urgency=low

  * Removed community component from software sources template

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  19 Nov 2009 09:58:00 +0000

mintupdate (3.8.5) helena; urgency=low

  * Changed translation framework

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  3 Nov 2009 11:51:00 +0000

mintupdate (3.8.4) helena; urgency=low

  * Dependency on mint-common

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  8 Oct 2009 10:06:00 +0000

mintupdate (3.8.3) helena; urgency=low

  * Added various repository mirrors
  * Show number of ignored updates in status bar 
  * Wilcard support in ignored updates list 
  * About dialog now using lock icon instead of Linux Mint one 
  * Hides window after updates are installed 
  * Fixed bug on scaler position 
  * Graphic cache update. When GUI is open use Synaptic for the APT update. 
  * Changed default timer value from 5 to 15 minutes

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  4 Oct 2009 18:54:00 +0000

mintupdate (3.8.2) helena; urgency=low

  * Code cleanup
  * Performance improvements in Internet connection checks
  * Generic naming
  * Removed dependency on mintsystem
  * Blueprint implemented: https://blueprints.launchpad.net/linuxmint/+spec/mintupdate-sources-mirrors
  * dist-upgrade option enabled by default
  * Added scrolling to error message in statusbar 
  * History view is now sortable and searchable

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  22 Jul 2009 12:05:00 +0000

mintupdate (3.8.1) helena; urgency=low

  * Blueprint implemented: https://blueprints.launchpad.net/linuxmint/+spec/mintupdate-error-handling
  * Blueprint implemented: https://blueprints.launchpad.net/linuxmint/+spec/mintupdate-blacklist-packages
  * Bug fix: incorrect tooltip in the Preferences window (https://bugs.launchpad.net/bugs/400861)

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  21 Jul 2009 16:21:00 +0000

mintupdate (3.8.0) helena; urgency=low

  * Blueprint implemented: https://blueprints.launchpad.net/linuxmint/+spec/mintupdate-visible-columns
  * Blueprint implemented: https://blueprints.launchpad.net/linuxmint/+spec/mintupdate-dimensions

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  21 Jul 2009 12:28:00 +0000

mintupdate (3.7.9) gloria; urgency=low

  * Bug fix: Empty rules file (https://bugs.launchpad.net/bugs/399276)

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  16 Jul 2009 14:44:00 +0000

mintupdate (3.7.8) gloria; urgency=low

  * Bug fix: No label under toolbar icons (https://bugs.launchpad.net/bugs/399705)

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  16 Jul 2009 12:35:00 +0000

mintupdate (3.7.7) gloria; urgency=low

  * Updated translations
  * Fixed critical bug in Portuguese translation

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  15 Jun 2009 17:00:00 +0000

mintupdate (3.7.6) gloria; urgency=low

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  19 May 2009 18:23:00 +0000

mintupdate (3.7.5) gloria; urgency=low

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  18 May 2009 19:19:00 +0000

mintupdate (3.7.4) gloria; urgency=low

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  17 May 2009 19:54:00 +0000

mintupdate (3.7.3) gloria; urgency=low

  * Added translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  17 May 2009 19:36:00 +0000

mintupdate (3.7.2) gloria; urgency=low

  * Restored call to vbox_main in user mode (fixes regression: icon not appearing in systray)

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  17 May 2009 11:36:00 +0000

mintupdate (3.7.1) gloria; urgency=low

  * GUI is now resizable
  * Fixed resize problem with vbox_main (commented pack_start() call)

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  15 May 2009 19:28:00 +0000

mintupdate (3.7) gloria; urgency=low

  * Conflicts/Replaces mintupdate-gnome, mintupdate-kde, mintupdate-xfce

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  29 Apr 2009 10:37:00 +0000

mintupdate (3.6) gloria; urgency=low

  * GUI improvements

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  28 Apr 2009 19:09:00 +0000

mintupdate (3.5) gloria; urgency=low

  * Uses mint-apt-version in about dialog
  * Uses mint-which-launcher in /usr/bin/mintupdate

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  22 Apr 2009 17:23:00 +0000

mintupdate (3.4) gloria; urgency=low

  * Added synaptic as dependency
  * Added menu item to replace DE specific packages

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  21 Apr 2009 17:19:00 +0000

mintupdate (3.3.1) gloria; urgency=low

  * Restored translations
  * Systray doesn't blink anymore
  * About dialog uses APT for version number
  * Added /usr/bin/mintupdate
  * Added 10 pixels in height for status bar not to look squashed
  * Fixed changelog for mint packages
  * Uses GPL.txt from mintsystem
  * New dependency on mintsystem

 -- Clement Lefebvre <clem@linuxmint.com>  Sun,  12 Apr 2009 11:59:00 +0000

mintupdate (3.3) gloria; urgency=low

  * Added download size column

 -- Clement Lefebvre <clem@linuxmint.com>  Thu,  5 Feb 2009 13:15:00 +0000

mintupdate (3.2.2) felicia; urgency=low

  * New translations 

 -- Clement Lefebvre <clem@linuxmint.com>  Sat,  6 Dec 2008 00:09:00 +0000

mintupdate (3.2.1) elyssa; urgency=low

  * New translations: ar, da, ja, lt, ro, de, ko
  * Updated ja translation

 -- Clement Lefebvre <clem@linuxmint.com>  Sun,  9 Nov 2008 10:53:00 +0000

mintupdate (3.2) elyssa; urgency=low

  * Creates /etc/linuxmint if it doesn't exist (fix for non Elyssa users)
  * If ping fails, tries urlopen. This results in better Internet detection on systems where ping can be a little too slow.
  * New translations: it ca sv cs ja sk nb es pt_BR pt_PT

 -- Clement Lefebvre <clem@linuxmint.com>  Sun,  10 Aug 2008 11:46:00 +0000

mintupdate (3.1) elyssa; urgency=low

  * Fixed typo in translation file and fr translation. 

 -- Clement Lefebvre <clem@linuxmint.com>  Thu,  7 Aug 2008 21:39:00 +0000

mintupdate (3.0) elyssa; urgency=low

  * Version number strategy change (major number to indicate GUI/translation changes)
  * New feature: Proxy support
  * New feature: History of applied updates
  * Improvements: Entirely new GUI
  * Improvements: Log files are now stored in /tmp
  * Improvements: Better internet detection and configuration of the domain name used for ping
  * Improvements: Better updates check routine
  * Improvements: Better status reporting
  * Improvements: Persistent configuration (using /etc/linuxmint/mintUpdate.conf)

 -- Clement Lefebvre <clem@linuxmint.com>  Thu,  7 Aug 2008 19:05:00 +0000

mintupdate (2.7) elyssa; urgency=low

  * If the cache update fails in checkAPT it now forces a system call to apt-get update

 -- Clement Lefebvre <clem@linuxmint.com>  Sat,  17 May 2008 11:05:00 +0000

mintupdate (2.6) elyssa; urgency=low

  * context menu to open preferences
  * fixes in checkAPT (mistakes about this references, dunno why it actually worked before)
  * waits for 30 seconds before checking for updates if the network connection isn't up yet. 
  * new translations: da pt_BR pl tr 

 -- Clement Lefebvre <clem@linuxmint.com>  Wed,  16 Apr 2008 17:21:00 +0000

mintupdate (2.5) elyssa; urgency=low

  * Changed dl call to prctl call if arch is x86_64

 -- Clement Lefebvre <clem@linuxmint.com>  Fri,  28 Mar 2008 16:47:00 +0000

mintupdate (2.4) elyssa; urgency=low

  * Added str() wrappers in checkAPT.py

 -- Clement Lefebvre <clem@linuxminc.com>  Fri,  28 Mar 2008 12:33:00 +0000

mintupdate (2.3) elyssa; urgency=low

  * Fixed - shows description
  * translations - added bg and fixed nl

 -- Clement Lefebvre <clem@linuxmint.com>  Sun,  9 Mar 2008 22:09:00 +0000

mintupdate (2.2) daryna; urgency=low

  * Fixed translation issue.
  * Added de and it translations.

 -- Clement Lefebvre <clem@linuxmint.com>  Thu,  21 Feb 2008 16:54:00 +0000

mintupdate (2.1) daryna; urgency=low

  * Added refresh shortcut in context menu
  * new translations: el  es  nb  nl  no  pt  ru  sv  uk

 -- Clement Lefebvre <clem@linuxmint.com>  Sun,  17 Feb 2008 19:41:00 +0000

mintupdate (2.0) daryna; urgency=low

  * Information tab (see logs, process id..etc)
  * memory improvements, from 100MB to 10MB
  * timer configuration, from an hour to a year
  * no more error message when mintupdate is already running, just doesn't start.

 -- Clement Lefebvre <clem@linuxmint.com>  Fri,  25 Jan 2008 17:53:00 +0000

mintupdate (1.9) daryna; urgency=low

  * removed Polish translation

 -- Clem <root@linuxmint.com>  Sat,  24 Nov 2007 01:06:00 +0000

mintupdate (1.8) daryna; urgency=low

  * new Polish translation

 -- Clem <root@linuxmint.com>  Sat,  24 Nov 2007 00:32:00 +0000

mintupdate (1.7) daryna; urgency=low

  * new German translation

 -- Clem <root@linuxmint.com>  Mon,  12 Nov 2007 22:16:00 +0000

mintupdate (1.6) daryna; urgency=low

  * added KDE in the onlyshowin list for the xdg autostart item

 -- clem <root@linuxmint.com>  Sat,  20 Oct 2007 15:54:00 +0000

mintupdate (1.5) daryna; urgency=low

  * user can change icons
  * dist-upgrade explained

 -- clem <root@linuxmint.com>  Tue,  16 Oct 2007 09:42:00 +0000

mintupdate (1.4) celena; urgency=low

  * using python-apt instead of wajig
  * checks dependencies
  * can dist-upgrade

 -- clem <root@linuxmint.com>  Fri,  12 Oct 2007 00:27:00 +0000 

mintupdate (1.3) celena; urgency=low

  * better thread-safe
  * logs everything
  * process called mintUpdate and visible with ps -A
  * only one mintUpdate at a time
  * auto-refresh in user mode
  * uses its own icons
  * monitors synaptic return code

 -- clem <root@linuxmint.com>  Wed,  10 Oct 2007 23:37:00 +0000 

mintupdate (1.2) celena; urgency=low

  * multi-language support
  * threaded GUI
  * auto-refresh mechanism
  * loads of bug fixes

 -- clem <root@linuxmint.com>  Sun,  7 Oct 2007 18:45:00 +0000 

mintupdate (1.1) celena; urgency=low

  * made tmp directory public
  * try catched the refresh process

 -- clem <root@linuxmint.com>  Thu,  4 Oct 2007 22:10:00 +0000

mintupdate (1.0) celena; urgency=low

  * Initial release

 -- clem <root@linuxmint.com>  Thu,  4 Oct 2007 21:29:00 +0000

